cwlVersion: v1.0
class: Workflow
label: bwa_index

inputs:
  input: {type: File}

outputs:
  output: {type: File, outputSource: samtools_faidx/output}

steps:
  bwa_index:
    run: ../tools/bwa_index.cwl
    in:
      input: input
    out: [output]

  samtools_faidx:
    run: ../tools/samtools_faidx.cwl
    in:
      input:
        source: bwa_index/output
    out: [output]
